-- Some subdir variables,
-- to make switching icon sets easy.
local brightnessdir = conf_dir .. "assets/icons/brightness/counterclockwise/"
local titlebardir = conf_dir .. "assets/icons/titlebar/"

return {
	submenu = conf_dir .. "assets/icons/submenu.svg",
	launcher = conf_dir .. "assets/icons/arch.svg",

	music = {
		grey = {
			playing = conf_dir .. "assets/icons/music/pause-grey.svg",
			paused = conf_dir .. "assets/icons/music/play-grey.svg",
			stopped = conf_dir .. "assets/icons/music/stop-grey.svg"
		},

		blue = {
			playing = conf_dir .. "assets/icons/music/pause-blue.svg",
			paused = conf_dir .. "assets/icons/music/play-blue.svg",
			stopped = conf_dir .. "assets/icons/music/stop-blue.svg"
		}
	},

	-- Layout icons
	layout = {
		cornerne = conf_dir .. "assets/icons/layout/cornerne.svg",
		cornernw = conf_dir .. "assets/icons/layout/cornernw.svg",
		cornerse = conf_dir .. "assets/icons/layout/cornerse.svg",
		cornersw = conf_dir .. "assets/icons/layout/cornersw.svg",
		dwindle = conf_dir .. "assets/icons/layout/dwindle.svg",
		fairh = conf_dir .. "assets/icons/layout/fairh.svg",
		fairv = conf_dir .. "assets/icons/layout/fairv.svg",
		floating = conf_dir .. "assets/icons/layout/floating.svg",
		fullscreen = conf_dir .. "assets/icons/layout/fullscreen.svg",
		magnifier = conf_dir .. "assets/icons/layout/magnifier.svg",
		max = conf_dir .. "assets/icons/layout/max.svg",
		spiral = conf_dir .. "assets/icons/layout/spiral.svg",
		tile = conf_dir .. "assets/icons/layout/tile.svg",
		tilebottom = conf_dir .. "assets/icons/layout/tilebottom.svg",
		tileleft = conf_dir .. "assets/icons/layout/tileleft.svg",
		tiletop = conf_dir .. "assets/icons/layout/tiletop.svg"
	},

	-- Battery icons
	battery = {
		missing = conf_dir .. "assets/icons/battery/missing.svg",

		charging = {
			full = conf_dir .. "assets/icons/battery/full-charging.svg",
			good = conf_dir .. "assets/icons/battery/good-charging.svg",
			low = conf_dir .. "assets/icons/battery/low-charging.svg",
			caution = conf_dir .. "assets/icons/battery/caution-charging.svg",
			empty = conf_dir .. "assets/icons/battery/empty-charging.svg"
		},

		full = conf_dir .. "assets/icons/battery/full.svg",
		good = conf_dir .. "assets/icons/battery/good.svg",
		low = conf_dir .. "assets/icons/battery/low.svg",
		caution = conf_dir .. "assets/icons/battery/caution.svg",
		empty = conf_dir .. "assets/icons/battery/empty.svg"
	},

	-- Volume indicator
	volume = {
		high = conf_dir .. "assets/icons/volume/high.svg",
		medium = conf_dir .. "assets/icons/volume/medium.svg",
		low = conf_dir .. "assets/icons/volume/low.svg",
		off = conf_dir .. "assets/icons/volume/off.svg",
		mute = conf_dir .. "assets/icons/volume/mute-red.svg",
		error = conf_dir .. "assets/icons/volume/error.svg"
	},

	-- Brightness icons
	brightness = {
		a = brightnessdir .. "brightness-0.svg",
		b = brightnessdir .. "brightness-1.svg",
		c = brightnessdir .. "brightness-2.svg",
		d = brightnessdir .. "brightness-3.svg",
		e = brightnessdir .. "brightness-4.svg",
		f = brightnessdir .. "brightness-5.svg",
		g = brightnessdir .. "brightness-6.svg",
		h = brightnessdir .. "brightness-7.svg",
		i = brightnessdir .. "brightness-8.svg"
	},

	-- RAID status
	raid = {
		healthy = {
			normal = conf_dir .. "assets/icons/raid/healthy.svg",
			recover = conf_dir .. "assets/icons/raid/healthy-recover.svg"
		},
		degraded = {
			normal = conf_dir .. "assets/icons/raid/degraded.svg",
			recover = conf_dir .. "assets/icons/raid/degraded-recover.svg"
		}
	},

	-- Icons shown on window bars
	titlebar = {
		close = {
			focus_hover = titlebardir .. "hover/close.svg",
			normal_hover = titlebardir .. "hover/close.svg",
			focus = titlebardir .. "regular/close.svg",
			normal = titlebardir .. "regular/close.svg"
		},

		floating = {
			inactive = {
				focus_hover = titlebardir .. "hover/float.svg",
				normal_hover = titlebardir .. "hover/float.svg",
				focus = titlebardir .. "regular/float.svg",
				normal = titlebardir .. "regular/float.svg"
			},
			active = {
				focus_hover = titlebardir .. "regular/float.svg",
				normal_hover = titlebardir .. "regular/float.svg",
				focus = titlebardir .. "hover/float.svg",
				normal = titlebardir .. "hover/float.svg"
			}
		},

		maximize = {
			inactive = {
				focus_hover = titlebardir .. "hover/maximize.svg",
				normal_hover = titlebardir .. "hover/maximize.svg",
				focus = titlebardir .. "regular/maximize.svg",
				normal = titlebardir .. "regular/maximize.svg"
			},
			active = {
				focus_hover = titlebardir .. "regular/maximize.svg",
				normal_hover = titlebardir .. "regular/maximize.svg",
				focus = titlebardir .. "hover/maximize.svg",
				normal = titlebardir .. "hover/maximize.svg"
			}
		},

		minimize = {
			focus_hover = titlebardir .. "hover/minimize.svg",
			normal_hover = titlebardir .. "hover/minimize.svg",
			focus = titlebardir .. "regular/minimize.svg",
			normal = titlebardir .. "regular/minimize.svg"
		},

		ontop = {
			inactive = {
				focus_hover = titlebardir .. "hover/ontop.svg",
				normal_hover = titlebardir .. "hover/ontop.svg",
				focus = titlebardir .. "regular/ontop.svg",
				normal = titlebardir .. "regular/ontop.svg"
			},
			active = {
				focus_hover = titlebardir .. "regular/ontop.svg",
				normal_hover = titlebardir .. "regular/ontop.svg",
				focus = titlebardir .. "hover/ontop.svg",
				normal = titlebardir .. "hover/ontop.svg"
			}
		},

		sticky = {
			inactive = {
				focus_hover = titlebardir .. "hover/stick.svg",
				normal_hover = titlebardir .. "hover/stick.svg",
				focus = titlebardir .. "regular/stick.svg",
				normal = titlebardir .. "regular/stick.svg"
			},
			active = {
				focus_hover = titlebardir .. "regular/stick.svg",
				normal_hover = titlebardir .. "regular/stick.svg",
				focus = titlebardir .. "hover/stick.svg",
				normal = titlebardir .. "hover/stick.svg"
			}
		}
	}
}
