## Modules

Modules are parts of this configuration that can be disabled. Nearly all features in this config are defined by a module.

### Enable / Disable Modules

See `config-template.lua`

### Organization

Every directory in `modules/` is a module. Modules cannot be in subdirectories. \
Each module directory MUST have an ``init.lua``, which returns a table. That table can contain anything, but a few keys are special:

``keybinds`` \
Defines keybinds the module provides. It is automatically loaded *if* the module is enabled. \
This MUST be a table formed by ``awful.key()``. See `ibus` or `screenshot` for examples.

``init`` \
Called once when awesome starts if defined. Takes no arguments.

``for_each_screen(s)`` \
Called for each screen at start if defined. Takes one argument, `s`, the screen.
